kompendium
2.0.1

# notarizedHead

inline fun < TParam : Any > Route. notarizedHead (info: HeadInfo < TParam >, postProcess: ( PathOperation ) -> PathOperation = { p -> p }, noinline body: PipelineInterceptor< Unit , ApplicationCall>): Route
Content copied to clipboard

Notarization for an HTTP HEAD request

## Parameters

TParam

The class containing all parameter fields. Each field must be annotated with @Param

info

Route metadata

postProcess

Adds an optional callback hook to perform manual overrides on the generated PathOperation